<?php
/**
 * Template part for displaying post format image entry.
 *
 * @link https://codex.wordpress.org/Template_Hierarchy
 *
 * @package     Business Interface
 * @author      WPInterface Team
 * @since       1.0.0
 */

/**
 * Do not allow direct script access.
 */
if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

$business_interface_media = business_interface_get_post_media( 'image' );

if ( ! $business_interface_media || post_password_required() ) {
	return;
}

?>

<div class="post-thumb entry-media thumbnail">

	<?php
	if ( ! is_single( get_the_ID() ) ) {
		$business_interface_media = sprintf(
			'<a href="%1$s" class="entry-image-link">%2$s</a>',
			esc_url( business_interface_entry_get_permalink() ),
			$business_interface_media
		);
	}

	echo $business_interface_media; // phpcs:ignore WordPress.Security.EscapeOutput.OutputNotEscaped
	?>
</div>
